Bullet Collision Detection & Physics Library: btDefaultCollisionConfiguration Class Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes | List of all members
btDefaultCollisionConfiguration Class Reference

btCollisionConfiguration allows to configure Bullet collision detection stack allocator, pool memory allocators More...

`#include <btDefaultCollisionConfiguration.h>`

Inheritance diagram for btDefaultCollisionConfiguration:
[legend]
Collaboration diagram for btDefaultCollisionConfiguration:
[legend]

## Public Member Functions
| btDefaultCollisionConfiguration (const btDefaultCollisionConstructionInfo &constructionInfo=btDefaultCollisionConstructionInfo())
virtual | ~btDefaultCollisionConfiguration ()
virtual btPoolAllocator * | getPersistentManifoldPool ()
| memory pools More...
virtual btPoolAllocator * | getCollisionAlgorithmPool ()
virtual btVoronoiSimplexSolver * | getSimplexSolver ()
virtual btCollisionAlgorithmCreateFunc * | getCollisionAlgorithmCreateFunc (int proxyType0, int proxyType1)
void | setConvexConvexMultipointIterations (int numPerturbationIterations=3, int minimumPointsPerturbationThreshold=3)
| Use this method to allow to generate multiple contact points between at once, between two objects using the generic convex-convex algorithm. More...
void | setPlaneConvexMultipointIterations (int numPerturbationIterations=3, int minimumPointsPerturbationThreshold=3)
Public Member Functions inherited from btCollisionConfiguration
virtual | ~btCollisionConfiguration ()

## Protected Attributes
int | m_persistentManifoldPoolSize
btPoolAllocator * | m_persistentManifoldPool
bool | m_ownsPersistentManifoldPool
btPoolAllocator * | m_collisionAlgorithmPool
bool | m_ownsCollisionAlgorithmPool
btVoronoiSimplexSolver * | m_simplexSolver
btConvexPenetrationDepthSolver * | m_pdSolver
btCollisionAlgorithmCreateFunc * | m_convexConvexCreateFunc
btCollisionAlgorithmCreateFunc * | m_convexConcaveCreateFunc
btCollisionAlgorithmCreateFunc * | m_swappedConvexConcaveCreateFunc
btCollisionAlgorithmCreateFunc * | m_compoundCreateFunc
btCollisionAlgorithmCreateFunc * | m_compoundCompoundCreateFunc
btCollisionAlgorithmCreateFunc * | m_swappedCompoundCreateFunc
btCollisionAlgorithmCreateFunc * | m_emptyCreateFunc
btCollisionAlgorithmCreateFunc * | m_sphereSphereCF
btCollisionAlgorithmCreateFunc * | m_sphereBoxCF
btCollisionAlgorithmCreateFunc * | m_boxSphereCF
btCollisionAlgorithmCreateFunc * | m_boxBoxCF
btCollisionAlgorithmCreateFunc * | m_sphereTriangleCF
btCollisionAlgorithmCreateFunc * | m_triangleSphereCF
btCollisionAlgorithmCreateFunc * | m_planeConvexCF
btCollisionAlgorithmCreateFunc * | m_convexPlaneCF

## Detailed Description

btCollisionConfiguration allows to configure Bullet collision detection stack allocator, pool memory allocators

Definition at line 48 of file btDefaultCollisionConfiguration.h.

## Constructor & Destructor Documentation

btDefaultCollisionConfiguration::btDefaultCollisionConfiguration | ( | const btDefaultCollisionConstructionInfo & | constructionInfo = `btDefaultCollisionConstructionInfo()` | ) |

calculate maximum element size, big enough to fit any collision algorithm in the memory pool

Definition at line 43 of file btDefaultCollisionConfiguration.cpp.

btDefaultCollisionConfiguration::~btDefaultCollisionConfiguration | ( |  | ) |
| virtual

Definition at line 140 of file btDefaultCollisionConfiguration.cpp.

## Member Function Documentation

btCollisionAlgorithmCreateFunc * btDefaultCollisionConfiguration::getCollisionAlgorithmCreateFunc | ( | int | proxyType0,
|  | int | proxyType1
| ) |  |
| virtual

Implements btCollisionConfiguration.

Reimplemented in btSoftBodyRigidBodyCollisionConfiguration.

Definition at line 206 of file btDefaultCollisionConfiguration.cpp.

virtual btPoolAllocator* btDefaultCollisionConfiguration::getCollisionAlgorithmPool | ( |  | ) |
| inlinevirtual

Implements btCollisionConfiguration.

Definition at line 99 of file btDefaultCollisionConfiguration.h.

virtual btPoolAllocator* btDefaultCollisionConfiguration::getPersistentManifoldPool | ( |  | ) |
| inlinevirtual

memory pools

Implements btCollisionConfiguration.

Definition at line 94 of file btDefaultCollisionConfiguration.h.

virtual btVoronoiSimplexSolver* btDefaultCollisionConfiguration::getSimplexSolver | ( |  | ) |
| inlinevirtual

Definition at line 105 of file btDefaultCollisionConfiguration.h.

void btDefaultCollisionConfiguration::setConvexConvexMultipointIterations | ( | int | numPerturbationIterations = `3`,
|  | int | minimumPointsPerturbationThreshold = `3`
| ) |  |

Use this method to allow to generate multiple contact points between at once, between two objects using the generic convex-convex algorithm.

By default, this feature is disabled for best performance.

Parameters

  numPerturbationIterations | controls the number of collision queries. Set it to zero to disable the feature.
  minimumPointsPerturbationThreshold | is the minimum number of points in the contact cache, above which the feature is disabled 3 is a good value for both params, if you want to enable the feature. This is because the default contact cache contains a maximum of 4 points, and one collision query at the unperturbed orientation is performed first. See Bullet/Demos/CollisionDemo for an example how this feature gathers multiple points.

Definition at line 291 of file btDefaultCollisionConfiguration.cpp.

void btDefaultCollisionConfiguration::setPlaneConvexMultipointIterations | ( | int | numPerturbationIterations = `3`,
|  | int | minimumPointsPerturbationThreshold = `3`
| ) |  |

Definition at line 298 of file btDefaultCollisionConfiguration.cpp.

## Member Data Documentation

btCollisionAlgorithmCreateFunc* btDefaultCollisionConfiguration::m_boxBoxCF
| protected

Definition at line 80 of file btDefaultCollisionConfiguration.h.

btCollisionAlgorithmCreateFunc* btDefaultCollisionConfiguration::m_boxSphereCF
| protected

Definition at line 78 of file btDefaultCollisionConfiguration.h.

btPoolAllocator* btDefaultCollisionConfiguration::m_collisionAlgorithmPool
| protected

Definition at line 60 of file btDefaultCollisionConfiguration.h.

btCollisionAlgorithmCreateFunc* btDefaultCollisionConfiguration::m_compoundCompoundCreateFunc
| protected

Definition at line 72 of file btDefaultCollisionConfiguration.h.

btCollisionAlgorithmCreateFunc* btDefaultCollisionConfiguration::m_compoundCreateFunc
| protected

Definition at line 71 of file btDefaultCollisionConfiguration.h.

btCollisionAlgorithmCreateFunc* btDefaultCollisionConfiguration::m_convexConcaveCreateFunc
| protected

Definition at line 69 of file btDefaultCollisionConfiguration.h.

btCollisionAlgorithmCreateFunc* btDefaultCollisionConfiguration::m_convexConvexCreateFunc
| protected

Definition at line 68 of file btDefaultCollisionConfiguration.h.

btCollisionAlgorithmCreateFunc* btDefaultCollisionConfiguration::m_convexPlaneCF
| protected

Definition at line 84 of file btDefaultCollisionConfiguration.h.

btCollisionAlgorithmCreateFunc* btDefaultCollisionConfiguration::m_emptyCreateFunc
| protected

Definition at line 75 of file btDefaultCollisionConfiguration.h.

bool btDefaultCollisionConfiguration::m_ownsCollisionAlgorithmPool
| protected

Definition at line 61 of file btDefaultCollisionConfiguration.h.

bool btDefaultCollisionConfiguration::m_ownsPersistentManifoldPool
| protected

Definition at line 57 of file btDefaultCollisionConfiguration.h.

btConvexPenetrationDepthSolver* btDefaultCollisionConfiguration::m_pdSolver
| protected

Definition at line 65 of file btDefaultCollisionConfiguration.h.

btPoolAllocator* btDefaultCollisionConfiguration::m_persistentManifoldPool
| protected

Definition at line 56 of file btDefaultCollisionConfiguration.h.

int btDefaultCollisionConfiguration::m_persistentManifoldPoolSize
| protected

Definition at line 53 of file btDefaultCollisionConfiguration.h.

btCollisionAlgorithmCreateFunc* btDefaultCollisionConfiguration::m_planeConvexCF
| protected

Definition at line 83 of file btDefaultCollisionConfiguration.h.

btVoronoiSimplexSolver* btDefaultCollisionConfiguration::m_simplexSolver
| protected

Definition at line 64 of file btDefaultCollisionConfiguration.h.

btCollisionAlgorithmCreateFunc* btDefaultCollisionConfiguration::m_sphereBoxCF
| protected

Definition at line 77 of file btDefaultCollisionConfiguration.h.

btCollisionAlgorithmCreateFunc* btDefaultCollisionConfiguration::m_sphereSphereCF
| protected

Definition at line 76 of file btDefaultCollisionConfiguration.h.

btCollisionAlgorithmCreateFunc* btDefaultCollisionConfiguration::m_sphereTriangleCF
| protected

Definition at line 81 of file btDefaultCollisionConfiguration.h.

btCollisionAlgorithmCreateFunc* btDefaultCollisionConfiguration::m_swappedCompoundCreateFunc
| protected

Definition at line 74 of file btDefaultCollisionConfiguration.h.

btCollisionAlgorithmCreateFunc* btDefaultCollisionConfiguration::m_swappedConvexConcaveCreateFunc
| protected

Definition at line 70 of file btDefaultCollisionConfiguration.h.

btCollisionAlgorithmCreateFunc* btDefaultCollisionConfiguration::m_triangleSphereCF
| protected

Definition at line 82 of file btDefaultCollisionConfiguration.h.

The documentation for this class was generated from the following files:

- btDefaultCollisionConfiguration.h
- btDefaultCollisionConfiguration.cpp